Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.visualization
Class ArrowFactory

    java.lang.Object
      edu.uci.ics.jung.visualization.ArrowFactory

public class ArrowFactory
extends Object

A utility class for creating arrowhead shapes.

Author:
  Joshua O'Madadhain

Constructor Summary
`ArrowFactory()`

Method Summary
`static GeneralPath` | `getNotchedArrow(float base, float height, float notch_height)` Returns an arrowhead in the shape of an isosceles triangle with an isoceles-triangle notch taken out of the base, with the specified base and height measurements.
`static GeneralPath` | `getWedgeArrow(float base, float height)` Returns an arrowhead in the shape of a simple isosceles triangle with the specified base and height measurements.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArrowFactory

    public ArrowFactory()

Method Detail

### getWedgeArrow

    public static GeneralPath getWedgeArrow(float base,
                                            float height)

  Returns an arrowhead in the shape of a simple isosceles triangle with the specified base and height measurements. It is placed with the vertical axis along the negative x-axis, with its base centered on (0,0).

### getNotchedArrow

    public static GeneralPath getNotchedArrow(float base,
                                              float height,
                                              float notch_height)

  Returns an arrowhead in the shape of an isosceles triangle with an isoceles-triangle notch taken out of the base, with the specified base and height measurements. It is placed with the vertical axis along the negative x-axis, with its base centered on (0,0).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD